<?php

/**
 *      [Discuz!] (C)2010-2099 Comsenz Inc.
 *      This is NOT a freeware, use is subject to license terms
 *
 *      $Id: install.php 8889 2010-09-24 17:48:22Z monkey $
 */

if(!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

$sql = <<<EOF

DROP TABLE IF EXISTS cdb_darqi_settings;
CREATE TABLE cdb_darqi_settings (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `pingbi` varchar(1023) NOT NULL DEFAULT '',
  `tihuan` varchar(4095) NOT NULL DEFAULT '',
  `beforetitle` varchar(16) NOT NULL DEFAULT '',
  `aftertitle` varchar(16) NOT NULL DEFAULT '',
  `beforepost` varchar(255) NOT NULL DEFAULT '',
  `afterpost` varchar(255) NOT NULL DEFAULT '',
  `beforename` varchar(8) NOT NULL DEFAULT '',
  `password` char(32) NOT NULL DEFAULT '',
  `authors` varchar(1023) NOT NULL DEFAULT '',
  `lastnewsid` mediumint(8) NOT NULL DEFAULT '0',
  `lastpostid` mediumint(8) NOT NULL DEFAULT '0',
  `isreply` tinyint(1) NOT NULL DEFAULT '0',
  `islocalpic` tinyint(1) NOT NULL DEFAULT '0',
  `beforepic` char(16) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS cdb_darqi_news;
CREATE TABLE cdb_darqi_news (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `class` varchar(16) NOT NULL DEFAULT '',
  `fid` mediumint(8) NOT NULL DEFAULT '2',
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS cdb_darqi_sources;
CREATE TABLE cdb_darqi_sources (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `tag` varchar(16) NOT NULL DEFAULT '',
  `url` varchar(64) NOT NULL DEFAULT '',
  `forum` mediumint(8) NOT NULL DEFAULT '2',
  `beforetitle` varchar(16) NOT NULL DEFAULT '',
  `aftertitle` varchar(16) NOT NULL DEFAULT '',
  `dorder` mediumint(8) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

TRUNCATE TABLE `cdb_darqi_settings`;
INSERT INTO `cdb_darqi_settings` 
(`pingbi`,`tihuan`,`beforetitle`,`aftertitle`,`beforepost`,`afterpost`,`beforename`,`password`,`authors`,`isreply`,`islocalpic`,`beforepic`) 
VALUES (
'****||Ҳ|||||ɵ|ɵB|ɵb|||||||||',
'ܺ=|=|=|ְ=|=ĸ|=Ϊ|=|=|=|=ͽ|ҹ=ǹ|=',
'[]',
'[DARQI]',
'رʾ[url=http://www.darqi.com]Ųɼ[/url]ӻԶȡ',
'Ϊϲɼ[url=http://www.darqi.com][/url]Ĺ۵㣬뼰ʱɾϢͷǷݣ',
'darqi_',
'123456',
'1|1|1|1|1',
'0',
'0',
'darqi_'
);

TRUNCATE TABLE `cdb_darqi_news`;
INSERT INTO `cdb_darqi_news` 
(`class`,`fid`) 
VALUES 
('ѡ','2'),
('ʱ½','5'),
('ƾƼ','6'),
('','7'),
('Ļ','8'),
('','9'),
('ְ','10'),
('','11'),
('ô','12'),
('Ӣ','13'),
('¹','14'),
('ձ','15'),
('Ĵ','16'),
('','17'),
('','18'),
('','19'),
('˹','28'),
('','24'),
('','25'),
('','26');

TRUNCATE TABLE `cdb_darqi_sources`;
INSERT INTO `cdb_darqi_sources`
(`tag`,`url`,`forum`,`beforetitle`,`aftertitle`,`dorder`)
VALUES (
'ơư',
'http://p98.net/Discuz/archiver/fid-21.html',
'2',
'[]',
'[P98.NET]',
'0'
);

EOF;

runquery($sql);

$finish = TRUE;

?>